import { registerCodeBlockRenderer } from ".";
import { SvelteCodeBlockRenderer } from "./SvelteCodeBlockRenderer";
import AToZChallengeCodeBlockView from "./AToZChallengeCodeBlockView.svelte";
import type BookTrackerPlugin from "@src/main";

export function registerAToZChallengeCodeBlockProcessor(
	plugin: BookTrackerPlugin
): void {
	registerCodeBlockRenderer(
		plugin,
		"a-to-z-challenge",
		(source, el) =>
			new SvelteCodeBlockRenderer(
				AToZChallengeCodeBlockView,
				plugin,
				source,
				el
			)
	);
}
